Service Desk Practitioners Forum
cancel

Service Pages error on Tomcat startup

SOLVED
Go to solution
Highlighted
mikeeryan
Regular Contributor.

Service Pages error on Tomcat startup

Very new to SD, running version 4.5 now on SP29, was on SP14. I was able to upgrade the server and client apps after installed newest version of Sun Java (6.x), however, it appears Service Pages are still trying to load from the older version 1.3.x. I get an error message when I start Tomcat under Service Pages that states something to the effect of "The JAVA_HOME environment variable is not defined correctly". The same screen says "Using JAVA_HOME: c:\jdk1.3.1_03.

Also there is a windows error stating "can not find -Djava.endorsed.dirs="

Any ideas on how to fix this?

Thanks in advance
10 REPLIES
mikeeryan
Regular Contributor.

Re: Service Pages error on Tomcat startup

So from reading through other posts I figured out how to set JAVA_HOME and now Tomcat/Service Pages are using the updated version of Java. The only issue I have now is upgrading Service Pages to the latest SP (29) and upgrading to Tomcat 5. How is this suppose to be done?
The Pike
Acclaimed Contributor.
Solution

Re: Service Pages error on Tomcat startup

As recommended in a previous thread, you need to be thorough when it comes to reading the documentation:

- Java 6.x is not supported.
- When you run the service pack installer, the webpage-like screen gives you the option to upgrade each component, including the service pages.
mikeeryan
Regular Contributor.

Re: Service Pages error on Tomcat startup

Pike, thanks for the reply, I have read through the docs, however, maybe not thorough enough. Do you know what version of Java is currently supported?

And also, I did run the service pack update, however, it is still at SP14. Do I need to upgrade Tomcat?
The Pike
Acclaimed Contributor.

Re: Service Pages error on Tomcat startup

The SP29 readme.htm file states:

Forced JRE/JDK 5.0 for SP26 or higher.
(in Last-minute Information)
.
.
.
- ITSM009360
From SP25, Service Desk starts to support Java Runtime Environment(JRE) 5.0 and Java Development Kit(JDK) 5.0.

Service Desk 4.5 will only support JRE/JDK 5.0 starting with Service Pack 26. With this Service Pack version JRE/JDK 1.4.2 will no longer be supported. JRE/JDK 1.4.2 will still be supported for earlier Service Pack versions.
The Pike
Acclaimed Contributor.

Re: Service Pages error on Tomcat startup

Now, for your upgrade problem. There are a couple of .jar files I suspect might have not been upgraded correctly by the installer.

Uninstall Service Pages. Manually remove any remaining files and directories and re-install.

Don't forget to assign points for the answers.
mikeeryan
Regular Contributor.

Re: Service Pages error on Tomcat startup

I finally had a chance to sit down and read the service pack installer and as I read the part about JAVA 5.0 I checked on here and read the same from you. I'm currently removing 6 and installing 5.

I have no problems with removing service pages and its files, however, what about the content I have now? Do I really have to start from scratch or is there a certain folder that I can re-import?
The Pike
Acclaimed Contributor.

Re: Service Pages error on Tomcat startup

Make sure it's the version mentioned in the not just v.5, it should be the one HP says they tested (JRE/JDK 1.5.0_14).

Content? If the Service Pages files (source code) have been modified, then you should probably backup those files.

Where do you see that the Service Pages are still on SP14?

Finally, the two files I suspect of are:
sp.jar
web-api.jar

You could find them, remove them and run the installer in Repair mode, see if it works.
The Pike
Acclaimed Contributor.

Re: Service Pages error on Tomcat startup

But you may want to hold off on removing the jar files and reinstalling until you have tried to connect using the right version of Java...
mikeeryan
Regular Contributor.

Re: Service Pages error on Tomcat startup

Pike,

I put the supported version of Java on, removed service pages, re-installed service pages, installed/re-installed tomcat and now it is working correctly.

I've verified that service pages is now on SP29 and my users are having no issues.

Next step, Tomcat 5
The Pike
Acclaimed Contributor.

Re: Service Pages error on Tomcat startup

That's great news. Good luck on the Tomcat upgrade!